#
# spec file for package python-fluent
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-fluent
Version:        0.10.0
Release:        3.9
Summary:        Localization library for expressive translations
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/projectfluent/python-fluent
Source:         https://github.com/projectfluent/python-fluent/archive/%{version}.tar.gz
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A localization framework for natural language translations.

%prep
%setup -q

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md CHANGELOG.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon May 17 2021 pgajdos@suse.com
- use %%pytest macro
* Sat Jan 12 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from description.
* Thu Jan 10 2019 Tomáš Chvátal <tchvatal@suse.com>
- Initial commit, used by translate-toolkit
